import React from 'react';
import Page from '@/layouts/index';
import PowerList from '@/components/PowerList';
import { getTaNotice } from '@/services/tanotice';
import Card from './components/Card/index';

export default (props) => {

  const [loading, setLoading] = React.useState(false);

  return (
    <Page tabBar="notice">
      <PowerList
        request={getTaNotice}
        params={{status: 1}}
        renderItem={(item) => (
          <Card key={item.noticeId} dataset={item} />
        )}
      />
    </Page>
  )
}