import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTdIssueType = (params) => request('/api/tdIssueType', { params });

/*
 * 新增数据
 */
export const postTdIssueType = (data) => request('/api/tdIssueType', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTdIssueTypeById = (id) => request(`/api/tdIssueType/${id}`);

/*
 * 更新数据
 */
export const putTdIssueType = (id, data) => request(`/api/tdIssueType/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTdIssueType = (id) => request(`/api/tdIssueType/${id}`, { method: 'delete' });
